package kcg.imis.member.vo;

import java.io.Serializable;

/**
 * 
  * @FileName : MemberVO.java
  * @Project : 국제해양프로젝트
  * @Date : 2018. 4. 2. 
  * @작성자 : Moon
  * @변경이력 : 
  * @프로그램 설명 :
 */
public class MemberVO implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7486836904063956439L;

	/**
	 * rnum.
	 */
	private int rnum;
	
	/**
	 * 사용자 ID.
	 */
	private String userid;
	/**
	 * 비밀번호.
	 */
	private String passwd;
	/**
	 * 비밀번호확인.
	 */
	private String passwd2;
	/**
	 * 이름.
	 */
	private String name;
	/**
	 * 소속1.
	 */
	private String place1;
	/**
	 * 소속2.
	 */
	private String place2;
	/**
	 * 계급.
	 */
	private String loginchk;
	/**
	 * 직책(없음/반장/계장/과장).
	 */
	private String duties;
	
	/**
	 * 사용자 등급.
	 */
	private int usegrade;
	
	private String usegradeStr;
	
	/**
	 * 소속1 명칭.
	 */
	private String place1Str;
	/**
	 * 소속2 명칭.
	 */
	private String place2Str;
	/**
	 * 직급 명칭.
	 */
	private String dutyStr;

	/**
	 * 견문 권한
	 */
	private int rptAuth;

	/**
	 * 권한 레벨.
	 */
	private int rolelevel;

	/**
	 * @return the rnum
	 */
	public int getRnum() {
		return rnum;
	}

	/**
	 * @param rnum the rnum to set
	 */
	public void setRnum(int rnum) {
		this.rnum = rnum;
	}

	/**
	 * @return the userid
	 */
	public String getUserid() {
		return userid;
	}

	/**
	 * @param userid the userid to set
	 */
	public void setUserid(String userid) {
		this.userid = userid;
	}

	/**
	 * @return the passwd
	 */
	public String getPasswd() {
		return passwd;
	}

	/**
	 * @param passwd the passwd to set
	 */
	public void setPasswd(String passwd) {
		this.passwd = passwd;
	}

	/**
	 * @return the passwd2
	 */
	public String getPasswd2() {
		return passwd2;
	}

	/**
	 * @param passwd2 the passwd2 to set
	 */
	public void setPasswd2(String passwd2) {
		this.passwd2 = passwd2;
	}
	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the place1
	 */
	public String getPlace1() {
		return place1;
	}

	/**
	 * @param place1 the place1 to set
	 */
	public void setPlace1(String place1) {
		this.place1 = place1;
	}

	/**
	 * @return the place2
	 */
	public String getPlace2() {
		return place2;
	}

	/**
	 * @param place2 the place2 to set
	 */
	public void setPlace2(String place2) {
		this.place2 = place2;
	}

	/**
	 * @return the loginchk
	 */
	public String getLoginchk() {
		return loginchk;
	}

	/**
	 * @param loginchk the loginchk to set
	 */
	public void setLoginchk(String loginchk) {
		this.loginchk = loginchk;
	}

	/**
	 * @return the duties
	 */
	public String getDuties() {
		return duties;
	}

	/**
	 * @param duties the duties to set
	 */
	public void setDuties(String duties) {
		this.duties = duties;
	}

	/**
	 * @return the usegrade
	 */
	public int getUsegrade() {
		return usegrade;
	}

	/**
	 * @param usegrade the usegrade to set
	 */
	public void setUsegrade(int usegrade) {
		this.usegrade = usegrade;
		
		if(usegrade == 1){
			setUsegradeStr("관리자");
		}else if(usegrade == 2){
			setUsegradeStr("중간관리자");	
		}else if(usegrade == 3){
			setUsegradeStr("국제협력관");
		}else if(usegrade == 4){
			setUsegradeStr("국제법규팀장");	
		}else if(usegrade == 6){
			setUsegradeStr("사용자(쓰기)");	
		}else{
			setUsegradeStr("사용중지");	
		}
	
	}

	/**
	 * @return the place1Str
	 */
	public String getPlace1Str() {
		return place1Str;
	}

	/**
	 * @param place1Str the place1Str to set
	 */
	public void setPlace1Str(String place1Str) {
		this.place1Str = place1Str;
	}

	/**
	 * @return the place2Str
	 */
	public String getPlace2Str() {
		return place2Str;
	}

	/**
	 * @param place2Str the place2Str to set
	 */
	public void setPlace2Str(String place2Str) {
		this.place2Str = place2Str;
	}

	/**
	 * @return the dutyStr
	 */
	public String getDutyStr() {
		return dutyStr;
	}

	/**
	 * @param dutyStr the dutyStr to set
	 */
	public void setDutyStr(String dutyStr) {
		this.dutyStr = dutyStr;
	}

	/**
	 * @return the rptAuth
	 */
	public int getRptAuth() {
		return rptAuth;
	}

	/**
	 * @param rptAuth the rptAuth to set
	 */
	public void setRptAuth(int rptAuth) {
		this.rptAuth = rptAuth;
	}

	/**
	 * @return the rolelevel
	 */
	public int getRolelevel() {
		return rolelevel;
	}

	/**
	 * @param rolelevel the rolelevel to set
	 */
	public void setRolelevel(int rolelevel) {
		this.rolelevel = rolelevel;
	}

	public String getUsegradeStr() {
		return usegradeStr;
	}

	public void setUsegradeStr(String usegradeStr) {
		this.usegradeStr = usegradeStr;
	}

	
}
